List course comments for moderation
GET /api/comments. List course comments for moderation. Headless LMS Discussion API reference.
Requires courses:moderate. Comments on the activities of the courses you moderate, filtered by course, activity, author, status or open reports; each row carries the author's email and the open reports.
Query Parameters
page?integer
Range
1 <= value <= 9007199254740991Default
1pageSize?integer
Range
1 <= value <= 100Default
20search?string
Length
length <= 200sort?string
status?string
Value in
- "pending"
- "published"
- "removed"
reported?string
courseId?string
activityId?string
orgUserId?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/comments"{ "rows": [ { "id": "string", "parentId": "string", "activityId": "string", "activityTitle": "string", "courseId": "string", "body": "string", "status": "pending", "author": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "team": true, "roleName": "string" }, "authorEmail": "user@example.com", "removedBy": "string", "reports": [ { "reporter": { "id": "string", "firstName": "string", "lastName": "string", "displayName": "string", "headline": "string", "image": "string", "imageAssetId": "string", "imageUrl": "string", "team": true, "roleName": "string" }, "reason": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "total": -9007199254740991, "page": -9007199254740991, "pageSize": -9007199254740991}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Publish a comment awaiting review where you moderate POST
POST /api/member/comments/{commentId}/approve. Publish a comment awaiting review where you moderate. Headless LMS Discussion API reference.
Publish a course comment PATCH
PATCH /api/comments/{commentId}. Publish a course comment. Headless LMS Discussion API reference.